$notebook_height:36px;
$tab_width: 200px;

ul.notebook {
  height: $notebook_height;
  display: inline-block;
  width: calc(100% - 16px);
  max-width: 100%;
  padding: 0 8px;
  margin:0;
  border-color: $borders_color;
  border-width: 1px;
  background-color: $dark_fill;
  overflow: hidden;

  &.top {
    border-bottom-style: solid;
    li {
      &:hover { box-shadow: inset 0 -3px $borders_color; }
      &.active { box-shadow: inset 0 -3px $selected_bg_color; }
    }
  }

  &.bottom {
    border-top-style: solid;
    li {
      &:hover { box-shadow: inset 0 3px $borders_color; }
      &.active { box-shadow: inset 0 3px $selected_bg_color; }
    }
  }

  &.left {
    margin-right: -2px;
    li {
      &:hover { box-shadow: inset -3px 0 $borders_color; }
      &.active { box-shadow: inset -3px 0 $selected_bg_color; }
    }
  }

  &.right {
    border-left-style: solid;
    li {
      &:hover { box-shadow: inset 3px 0 $borders_color; }
      &.active { box-shadow: inset 3px 0 $selected_bg_color; }
    }
  }

  // tab
  li {
    display: inline-block;
    line-height: $notebook_height - 2px;

    min-height: $notebook_height;
    padding: 0 12px;

    min-width: $tab_width;

    color: $insensitive_fg_color;
    font-family: $bold_font_family;

    border: 1px transparent;
    text-align: center;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: $notebook_height;

    width: calc(#{$tab_width} - #{$notebook_height} - 12px);

    .button {
      height: $notebook_height - 12px;
      width: $notebook_height - 12px;
      padding: 0px;
      margin: 3px;
      position: relative;
      margin-top: $notebook_height * -1 + 7px;
      margin-right: $notebook_height * -1 + 5px;
    }

    span {
      padding: 0;
      margin:0;
      width: calc(#{$tab_width} - #{$notebook_height});
    }

    &.active {
      color: $fg_color;
      border-color: transparentize($borders_color, 0.5);
      background-color: transparentize($bg_color, 0.5);
      &:hover { background-color: transparentize($bg_color, 0.3); }
    }

    &:hover {
      color: mix($insensitive_fg_color, $fg_color, 50%);
      border-color: transparentize($borders_color, 0.7);
      background-color: transparentize($bg_color, 0.8);
    }
  }
}
